Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## serp.util
Class IdentityMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--serp.util.IdentityMap

All Implemented Interfaces:
  Cloneable, Map, Serializable

public class IdentityMap
extends HashMap

Map type that hashes on object identity. Mimics the functionality of the `IdentityHashMap` in Java 1.4.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`IdentityMap()`
`IdentityMap(int initialCapacity)`
`IdentityMap(int initialCapacity, float loadFactor)`
`IdentityMap(Map map)`

Method Summary
`Object` | `clone()`
`boolean` | `containsKey(Object key)`
`Set` | `entrySet()`
`Object` | `get(Object key)`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map map)`
`Object` | `remove(Object key)`

Methods inherited from class java.util.HashMap
`, capacity, clear, containsValue, isEmpty, loadFactor, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### IdentityMap

    public IdentityMap()

  See Also:
    `HashMap.HashMap()`

### IdentityMap

    public IdentityMap(int initialCapacity)

  See Also:
    `HashMap.HashMap(int)`

### IdentityMap

    public IdentityMap(int initialCapacity,
                       float loadFactor)

  See Also:
    `HashMap.HashMap(int,float)`

### IdentityMap

    public IdentityMap(Map map)

  See Also:
    `HashMap.HashMap(Map)`

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `HashMap`

### containsKey

    public boolean containsKey(Object key)

  Overrides:
    `containsKey` in class `HashMap`

### entrySet

    public Set entrySet()

  Overrides:
    `entrySet` in class `HashMap`

### get

    public Object get(Object key)

  Overrides:
    `get` in class `HashMap`

### keySet

    public Set keySet()

  Overrides:
    `keySet` in class `HashMap`

### put

    public Object put(Object key,
                      Object value)

  Overrides:
    `put` in class `HashMap`

### putAll

    public void putAll(Map map)

  Overrides:
    `putAll` in class `HashMap`

### remove

    public Object remove(Object key)

  Overrides:
    `remove` in class `HashMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.